#install another clock
scoreboard players add @e[name=Global] gameTime 1

#misc
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard players reset @e[name=Global] pregame
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard players reset @e[name=Global] endgame
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard objectives setdisplay sidebar targets
execute if entity @e[name=Global,scores={gameTime=1}] as @a[team=seeker] run scoreboard players add @e[name=Global] totalSeekers 1

#death / boundaries
execute as @e[type=armor_stand,tag=center] at @s as @a[team=spectator,distance=106..] run tp @s -217 32 574
execute as @a[team=seeker,x=-235,y=18,z=557,dx=30,dy=6,dz=30] run tp @s -217 32 574

#setup seeker
execute if entity @e[name=Global,scores={gameTime=19}] as @a[team=seeker] at @s run playsound minecraft:block.note_block.bell master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={gameTime=9}] as @a[team=seeker] at @s run title @s times 0 100 40
execute if entity @e[name=Global,scores={gameTime=19}] as @a[team=seeker] at @s run title @s title {"text":" \u2505","bold":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={gameTime=39}] as @a[team=seeker] at @s run playsound minecraft:block.note_block.bell master @s ~ ~ ~ 1 2
execute if entity @e[name=Global,scores={gameTime=39}] as @a[team=seeker] at @s run title @s title {"text":" \u2505","bold":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={gameTime=39}] as @a[team=seeker] at @s run title @s subtitle {"text":" ","color":"dark_gray"}
execute if entity @e[name=Global,scores={gameTime=59}] as @a[team=seeker] at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={gameTime=59}] as @a[team=seeker] at @s run title @s times 0 60 0
execute if entity @e[name=Global,scores={gameTime=59}] as @a[team=seeker] at @s run title @s title {"text":"\u2714 Go!","bold":true,"color":"green"}
execute if entity @e[name=Global,scores={gameTime=59}] run scoreboard players set @a[team=seeker] targets 0
execute if entity @e[name=Global,scores={gameTime=59}] run scoreboard objectives setdisplay sidebar targets
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=stick_wand] run replaceitem entity @s hotbar.4 minecraft:purple_carpet{display:{Name:'{"text":"Broken Stick","color":"#381C01","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=emerald_wand] run replaceitem entity @s hotbar.4 minecraft:pink_carpet{display:{Name:'{"text":"Emerald Staff","color":"dark_green","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=toy_wand] run replaceitem entity @s hotbar.4 minecraft:yellow_carpet{display:{Name:'{"text":"Banana Blaster","color":"yellow","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=magic_wand] run replaceitem entity @s hotbar.4 minecraft:magenta_carpet{display:{Name:'{"text":"Magic Wand","color":"white","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=book_wand] run replaceitem entity @s hotbar.4 minecraft:orange_carpet{display:{Name:'{"text":"Book of Spells","color":"dark_gray","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker] run replaceitem entity @s weapon.offhand minecraft:carrot_on_a_stick{display:{Name:'{"text":" ","color":"black","bold":true}'}}
execute if entity @e[name=Global,scores={gameTime=59..}] run function skyscapers:gamemodes/targets/seeker_loop
execute if entity @e[name=Global,scores={gameTime=59}] as @e[name=Global] run scoreboard players operation @e[name=Global] timer = @e[name=Global] targetTime
execute if entity @e[name=Global,scores={gameTime=2..}] run scoreboard players set @e[name=Global] seekerCheck 0
execute if entity @e[name=Global,scores={gameTime=2..}] as @a[team=seeker] run scoreboard players add @e[name=Global] seekerCheck 1
execute if entity @e[name=Global,scores={gameTime=2..,seekerCheck=0}] run function skyscapers:seeker_left

#targets
execute if entity @e[name=Global,scores={gameTime=1}] run function skyscapers:gamemodes/targets/summon_stands
execute if entity @e[name=Global,scores={gameTime=59..}] unless entity @e[type=slime,tag=target_slime] run function skyscapers:gamemodes/targets/target_start
execute if entity @e[type=slime,tag=target_slime] run effect give @e[type=slime,tag=target_slime] glowing 100000 255 true

#ending
execute if entity @e[name=Global,scores={timer=0}] run scoreboard players set @e[name=Global] gameState 5