##regive items if admin is disabled
#return items if no admin
execute unless entity @a[tag=admin] run scoreboard players set @e[name=Global,scores={adminCount=1}] adminCount 0
execute if entity @e[name=Global,scores={adminCount=0}] run replaceitem entity @a[team=!spectator] inventory.10 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute if entity @e[name=Global,scores={adminCount=0}] run replaceitem entity @a[team=!spectator] inventory.11 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute if entity @e[name=Global,scores={adminCount=0}] run replaceitem entity @a[team=!spectator] inventory.12 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}
execute if entity @e[name=Global,scores={adminCount=0}] if entity @e[name=Global,tag=classic] run replaceitem entity @a[team=!spectator] inventory.10 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Classic","color":"white","bold":false}]'}}
execute if entity @e[name=Global,scores={adminCount=0}] if entity @e[name=Global,tag=target] run replaceitem entity @a[team=!spectator] inventory.11 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Target Shootout","color":"white","bold":false}]'}}
execute if entity @e[name=Global,scores={adminCount=0}] if entity @e[name=Global,tag=snipers] run replaceitem entity @a[team=!spectator] inventory.12 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Sky Snipers","color":"white","bold":false}]'}}

#admin check
execute if entity @e[name=Global,scores={adminCount=0}] run scoreboard players set @e[name=Global] adminCount -1
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={adminCount=1}] run scoreboard players set @e[name=Global] adminCount 1


#---------------------- Non-Admin --------------------------
#clear held banner
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:lime_banner"}]}] run clear @s lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Classic","color":"white","bold":false}]'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:lime_banner"}]}] run clear @s lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Target Shootout","color":"white","bold":false}]'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:lime_banner"}]}] run clear @s lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Sky Snipers","color":"white","bold":false}]'}}

#playsound
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:lime_banner"}]}] run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:lime_banner"}]}] run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:lime_banner"}]}] run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2


#switch gamemodes
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch1
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch2
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch3
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch4
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch5
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch6

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch1] run function skyscapers:lobby/settings/remove_tags
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch1] run tag @e[name=Global] add target

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch2] run function skyscapers:lobby/settings/remove_tags
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch2] run tag @e[name=Global] add snipers

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch3] run function skyscapers:lobby/settings/remove_tags
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch3] run tag @e[name=Global] add classic

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch4] run function skyscapers:lobby/settings/remove_tags
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch4] run tag @e[name=Global] add snipers

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch5] run function skyscapers:lobby/settings/remove_tags
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch5] run tag @e[name=Global] add classic

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch6] run function skyscapers:lobby/settings/remove_tags
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch6] run tag @e[name=Global] add target

execute unless entity @a[tag=admin] if entity @e[name=Global,tag=switch1] run tag @e[name=Global] remove switch1
execute unless entity @a[tag=admin] if entity @e[name=Global,tag=switch2] run tag @e[name=Global] remove switch2
execute unless entity @a[tag=admin] if entity @e[name=Global,tag=switch3] run tag @e[name=Global] remove switch3
execute unless entity @a[tag=admin] if entity @e[name=Global,tag=switch4] run tag @e[name=Global] remove switch4
execute unless entity @a[tag=admin] if entity @e[name=Global,tag=switch5] run tag @e[name=Global] remove switch5
execute unless entity @a[tag=admin] if entity @e[name=Global,tag=switch6] run tag @e[name=Global] remove switch6

#gamemodes
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:lime_banner"}]}] run replaceitem entity @s inventory.10 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Classic","color":"white","bold":false}]'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.11 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.12 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.10 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:lime_banner"}]}] run replaceitem entity @s inventory.11 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Target Shootout","color":"white","bold":false}]'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.12 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.10 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.11 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute unless entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[team=!spectator] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:lime_banner"}]}] run replaceitem entity @s inventory.12 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Sky Snipers","color":"white","bold":false}]'}}


#--------------------- Admin -----------------------------
#clear held banner
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:lime_banner"}]}] run clear @s lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Classic","color":"white","bold":false}]'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:lime_banner"}]}] run clear @s lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Target Shootout","color":"white","bold":false}]'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run clear @s white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:lime_banner"}]}] run clear @s lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Sky Snipers","color":"white","bold":false}]'}}

#playsound
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:lime_banner"}]}] run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:lime_banner"}]}] run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] at @s unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:lime_banner"}]}] run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2


#switch gamemodes
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch1
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch2
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch3
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch4
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch5
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run tag @e[name=Global] add switch6

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch1] run function skyscapers:lobby/settings/remove_tags
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch1] run tag @e[name=Global] add target

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch2] run function skyscapers:lobby/settings/remove_tags
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch2] run tag @e[name=Global] add snipers

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch3] run function skyscapers:lobby/settings/remove_tags
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch3] run tag @e[name=Global] add classic

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch4] run function skyscapers:lobby/settings/remove_tags
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch4] run tag @e[name=Global] add snipers

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch5] run function skyscapers:lobby/settings/remove_tags
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch5] run tag @e[name=Global] add classic

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch6] run function skyscapers:lobby/settings/remove_tags
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=switch6] run tag @e[name=Global] add target

execute if entity @a[tag=admin] if entity @e[name=Global,tag=switch1] run tag @e[name=Global] remove switch1
execute if entity @a[tag=admin] if entity @e[name=Global,tag=switch2] run tag @e[name=Global] remove switch2
execute if entity @a[tag=admin] if entity @e[name=Global,tag=switch3] run tag @e[name=Global] remove switch3
execute if entity @a[tag=admin] if entity @e[name=Global,tag=switch4] run tag @e[name=Global] remove switch4
execute if entity @a[tag=admin] if entity @e[name=Global,tag=switch5] run tag @e[name=Global] remove switch5
execute if entity @a[tag=admin] if entity @e[name=Global,tag=switch6] run tag @e[name=Global] remove switch6

#gamemodes
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:lime_banner"}]}] run replaceitem entity @s inventory.10 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Classic","color":"white","bold":false}]'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.11 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=classic] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.12 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.10 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:lime_banner"}]}] run replaceitem entity @s inventory.11 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Target Shootout","color":"white","bold":false}]'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=target] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.12 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Sky Snipers","color":"white","bold":false}'}}

execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:19b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.10 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ls"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Classic","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:20b,id:"minecraft:white_banner"}]}] run replaceitem entity @s inventory.11 white_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"ts"},{Color:15,Pattern:"cs"},{Color:0,Pattern:"bo"}]},HideFlags:63,display:{Name:'{"text":"Target Shootout","color":"white","bold":false}'}}
execute if entity @a[tag=admin] unless entity @e[name=Global,scores={pregame_timer=1..}] if entity @e[name=Global,scores={gameState=0},tag=snipers] as @a[tag=admin] unless entity @s[tag=joined] unless entity @s[nbt={Inventory:[{Slot:21b,id:"minecraft:lime_banner"}]}] run replaceitem entity @s inventory.12 lime_banner{BlockEntityTag:{Patterns:[{Color:15,Pattern:"drs"},{Color:15,Pattern:"bs"},{Color:15,Pattern:"ts"},{Color:5,Pattern:"bo"}]},HideFlags:63,display:{Name:'[{"text":"\\u2714 ","color":"dark_green","bold":false},{"text":"Sky Snipers","color":"white","bold":false}]'}}