#join / leave logic
execute as @e[tag=practice] at @s run tag @a[distance=..3,tag=!p] add p
execute as @a[tag=p] run scoreboard players add @s practice_join 1
execute as @e[tag=practice] at @s run tag @a[distance=3..,tag=p] add p_leave
#execute as @a[tag=p_leave] run replaceitem entity @s hotbar.4 lime_concrete{display:{Name:'[{"text":"Right-Click","color":"dark_green","bold":true},{"text":" to start!","color":"dark_green","bold":false}]'}}
execute as @a[tag=p_leave] at @s run playsound minecraft:block.anvil.step master @s ~ ~ ~ 1 1
execute as @a[tag=p_leave] run tag @s remove p
execute as @a[tag=p_leave] run tag @s remove p_leave
execute as @a[tag=!p,scores={practice_join=1..}] run clear @s purple_carpet
execute as @a[tag=!p,scores={practice_join=1..}] run clear @s pink_carpet
execute as @a[tag=!p,scores={practice_join=1..}] run clear @s yellow_carpet
execute as @a[tag=!p,scores={practice_join=1..}] run clear @s magenta_carpet
execute as @a[tag=!p,scores={practice_join=1..}] run clear @s orange_carpet
#execute as @a[tag=!p,scores={practice_join=1..}] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[tag=!p,scores={practice_join=1..}] run scoreboard players reset @s practice_join
execute unless entity @a[tag=p] run kill @e[type=slime,tag=pslime]

#scoreboard check
execute if entity @a[tag=p] run scoreboard players set @e[tag=practice] practice_join 0
execute if entity @a[tag=p] as @e[tag=pslime] run scoreboard players add @e[tag=practice] practice_join 1

#summon targets
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -191 96 599 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -190 101 599 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -191 105 603 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -191 101 611 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -193 99 605 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -193 98 595 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -193 103 590 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -191 105 596 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute if entity @a[tag=p] if entity @e[tag=practice,scores={practice_join=0}] run summon slime -193 109 599 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,PersistenceRequired:1b,NoAI:1b,Tags:["pslime"]}
execute as @e[tag=pslime] at @s facing entity @e[tag=practice,limit=1] eyes run tp @s ~ ~ ~ ~ ~

#give wands / prevent drop
execute as @a[tag=p] if entity @s[tag=stick_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:purple_carpet"}]}] run tag @s add drop_wand
execute as @a[tag=p,tag=stick_wand] if entity @s[tag=drop_wand] run clear @s purple_carpet
execute as @a[tag=p,tag=stick_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:purple_carpet{display:{Name:'{"text":"Broken Stick","color":"#381C01","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
#execute as @a[tag=p,tag=stick_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[tag=p,tag=stick_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[tag=p] if entity @s[tag=emerald_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:pink_carpet"}]}] run tag @s add drop_wand
execute as @a[tag=p,tag=emerald_wand] if entity @s[tag=drop_wand] run clear @s pink_carpet
execute as @a[tag=p,tag=emerald_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:pink_carpet{display:{Name:'{"text":"Emerald Staff","color":"dark_green","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
#execute as @a[tag=p,tag=emerald_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[tag=p,tag=emerald_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[tag=p] if entity @s[tag=toy_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:yellow_carpet"}]}] run tag @s add drop_wand
execute as @a[tag=p,tag=toy_wand] if entity @s[tag=drop_wand] run clear @s yellow_carpet
execute as @a[tag=p,tag=toy_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:yellow_carpet{display:{Name:'{"text":"Banana Blaster","color":"yellow","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
#execute as @a[tag=p,tag=toy_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[tag=p,tag=toy_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[tag=p] if entity @s[tag=magic_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:magenta_carpet"}]}] run tag @s add drop_wand
execute as @a[tag=p,tag=magic_wand] if entity @s[tag=drop_wand] run clear @s magenta_carpet
execute as @a[tag=p,tag=magic_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:magenta_carpet{display:{Name:'{"text":"Magic Wand","color":"white","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
#execute as @a[tag=p,tag=magic_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[tag=p,tag=magic_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[tag=p] if entity @s[tag=book_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:orange_carpet"}]}] run tag @s add drop_wand
execute as @a[tag=p,tag=book_wand] if entity @s[tag=drop_wand] run clear @s orange_carpet
execute as @a[tag=p,tag=book_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:orange_carpet{display:{Name:'{"text":"Book of Spells","color":"dark_gray","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
#execute as @a[tag=p,tag=book_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[tag=p,tag=book_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

#join particle / sound
execute as @a[scores={practice_join=1}] at @s run playsound minecraft:block.note_block.bell master @s ~ ~ ~ 1 1