#assign tags to user
execute as @e[scores={click=1..}] run tag @s add shoot
execute as @e[scores={click=1..}] run tag @s add hit_count

#summon chicken
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:purple_carpet"}}] at @s run summon chicken ~ ~ ~ {Invulnerable:1b,NoAI:1b,Silent:1b,Tags:["beam"]}
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:pink_carpet"}}] at @s run summon chicken ~ ~ ~ {Invulnerable:1b,NoAI:1b,Silent:1b,Tags:["beam"]}
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:yellow_carpet"}}] at @s run summon chicken ~ ~ ~ {Invulnerable:1b,NoAI:1b,Silent:1b,Tags:["beam"]}
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:magenta_carpet"}}] at @s run summon chicken ~ ~ ~ {Invulnerable:1b,NoAI:1b,Silent:1b,Tags:["beam"]}
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:orange_carpet"}}] at @s run summon chicken ~ ~ ~ {Invulnerable:1b,NoAI:1b,Silent:1b,Tags:["beam"]}
team join shooter @e[tag=beam]
execute as @e[tag=beam] unless entity @s[scores={beam_life=0..}] run scoreboard players operation @s ID = @a[tag=shoot,sort=nearest,limit=1] ID

#determine where to teleport the chicken
team join shooter @e[tag=beam]
execute as @e[tag=beam] at @s as @e[tag=shoot,scores={sneak=0},sort=nearest,limit=1] at @s run tp @e[tag=beam,sort=nearest,limit=1] ~ ~1.6 ~ ~ ~
execute as @e[tag=beam] at @s as @e[tag=shoot,scores={sneak=1..},sort=nearest,limit=1] at @s run tp @e[tag=beam,sort=nearest,limit=1] ~ ~1.25 ~ ~ ~
execute as @e[tag=beam] at @s as @e[tag=shoot,scores={fly=1..},sort=nearest,limit=1] at @s run tp @e[tag=beam,sort=nearest,limit=1] ~ ~ ~ ~ ~

##Call functions based on wand
#broken stick
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:purple_carpet"}},tag=!one_shot] at @s run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:purple_carpet"}},tag=!one_shot] run function skyscapers:beam_functions/beam_stick

#emerald wand
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:pink_carpet"}},tag=!one_shot] at @s run playsound minecraft:entity.arrow.hit_player master @a ~ ~ ~ 1 2
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:pink_carpet"}},tag=!one_shot] run function skyscapers:beam_functions/beam_emerald

#banana blaster
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:yellow_carpet"}},tag=!one_shot] at @s run playsound minecraft:block.note_block.bit master @a ~ ~ ~ 1 1
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:yellow_carpet"}},tag=!one_shot] run function skyscapers:beam_functions/beam_gun

#magic wand
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:magenta_carpet"}},tag=!one_shot] at @s run playsound minecraft:block.note_block.iron_xylophone master @a ~ ~ ~ 1 2
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:magenta_carpet"}},tag=!one_shot] run function skyscapers:beam_functions/beam_wand

#Book of spells
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:orange_carpet"}},tag=!one_shot] at @s run playsound minecraft:block.enchantment_table.use master @a ~ ~ ~ 1 1
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:orange_carpet"}},tag=!one_shot] run function skyscapers:beam_functions/beam_book

#One shot
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:orange_carpet"}},tag=one_shot] run tag @s add one_shot_shot
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:magenta_carpet"}},tag=one_shot] run tag @s add one_shot_shot
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:yellow_carpet"}},tag=one_shot] run tag @s add one_shot_shot
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:pink_carpet"}},tag=one_shot] run tag @s add one_shot_shot
execute as @e[tag=shoot,nbt={SelectedItem:{id:"minecraft:purple_carpet"}},tag=one_shot] run tag @s add one_shot_shot
execute as @e[tag=one_shot_shot] at @s run playsound minecraft:entity.elder_guardian.death master @a ~ ~ ~ 1 2
execute as @e[tag=one_shot_shot] run function skyscapers:beam_functions/one_shot
execute as @e[tag=one_shot_shot] run tag @s remove one_shot_shot

#cleanup
scoreboard players reset @a[scores={click=1..}] click
scoreboard players set @a[scores={sneak=1..}] sneak 0
tag @a[tag=shoot] remove hit_count
tag @a[tag=shoot] remove shoot

##misc
#rabbit commands
execute if entity @e[tag=beam_rabbit] as @e[tag=beam_rabbit] run scoreboard players add @s cosmeticTime 1
execute if entity @e[tag=beam_rabbit,scores={cosmeticTime=10..}] as @e[tag=beam_rabbit,scores={cosmeticTime=10..}] run kill @s