#install another clock
scoreboard players add @e[name=Global] gameTime 1

#misc
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard players set @a[team=scapers] fly 0
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard players reset @e[name=Global] pregame
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard players reset @e[name=Global] endgame
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard objectives setdisplay sidebar lives
execute if entity @e[name=Global,scores={gameTime=1}] run scoreboard players operation @a[team=scapers] lives = @e[name=Global] livesCount
execute if entity @e[name=Global,scores={gameTime=1}] run tag @a remove immunity
execute if entity @e[name=Global,scores={gameTime=1}] as @a[team=scapers] run scoreboard players add @e[name=Global] totalScapers 1
execute if entity @e[name=Global,scores={gameTime=1}] as @a[team=scapers] run tag @s add alive
execute if entity @e[name=Global,scores={gameTime=1}] run team modify scapers nametagVisibility hideForOtherTeams

#setup scapers (immunity + titles)
execute if entity @e[name=Global,scores={gameTime=1}] as @a[team=scapers] run tp @s @e[tag=teleport,sort=random,limit=1]
execute if entity @e[name=Global,scores={gameTime=1}] as @a[team=scapers] positioned as @e[tag=teleport,sort=random,limit=1] run spawnpoint @s ~ ~ ~
execute if entity @e[name=Global,scores={gameTime=41}] as @e[team=scapers] run tag @s add immune
execute if entity @e[name=Global,scores={gameTime=41..}] run function skyscapers:gamemodes/classic/immunity
execute if entity @e[name=Global,scores={gameTime=41..}] if entity @a[tag=!blindness] as @a[team=scapers,tag=!immunity] run effect give @s glowing 100000 255 true
execute if entity @e[name=Global,scores={gameTime=41..}] if entity @a[tag=blindness] as @a[team=scapers,tag=!immunity] run effect clear @s glowing
execute if entity @e[name=Global,scores={gameTime=41}] run replaceitem entity @a[team=scapers] armor.chest minecraft:elytra{display:{Name:'{"text":"Wings","color":"reset","bold":true}',Lore:['{"text":"Keep these on your back!","color":"aqua","italic":true}']},Unbreakable:1b}
execute if entity @e[name=Global,scores={gameTime=41}] as @a[team=scapers] run replaceitem entity @s hotbar.4 minecraft:firework_rocket{display:{Name:'{"text":"Booster","color":"gold","bold":true}',Lore:['{"text":"Right-click to launch!","color":"aqua","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=41..}] run function skyscapers:gamemodes/classic/keepelytra
execute if entity @e[name=Global,scores={gameTime=41..}] run scoreboard players set @e[name=Global] scaperCheck 0
execute if entity @e[name=Global,scores={gameTime=41..}] as @a[team=scapers] run scoreboard players add @e[name=Global] scaperCheck 1

#death / boundaries
execute as @a[scores={deaths=1..}] run function skyscapers:gamemodes/classic/respawn
effect give @a night_vision 100000 255 true
effect give @a saturation 100000 255 true
execute as @e[type=armor_stand,tag=center] at @s as @a[team=spectator,distance=106..] run tp @s -217 32 574
execute as @a[team=spectator,x=-354,y=3,z=445,dx=300,dy=1,dz=300] run tp @s -217 32 574
execute as @a[team=seeker,x=-235,y=18,z=557,dx=30,dy=6,dz=30] run tp @s -217 32 574

#setup seeker
execute if entity @e[name=Global,scores={gameTime=19}] as @a[team=seeker] at @s run playsound minecraft:block.note_block.bell master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={gameTime=9}] as @a[team=seeker] at @s run title @s times 0 100 40
execute if entity @e[name=Global,scores={gameTime=19}] as @a[team=seeker] at @s run title @s title {"text":" \u2505","bold":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={gameTime=39}] as @a[team=seeker] at @s run playsound minecraft:block.note_block.bell master @s ~ ~ ~ 1 2
execute if entity @e[name=Global,scores={gameTime=39}] as @a[team=seeker] at @s run title @s title {"text":" \u2505","bold":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={gameTime=39}] as @a[team=seeker] at @s run title @s subtitle {"text":" ","color":"dark_gray"}
execute if entity @e[name=Global,scores={gameTime=59}] as @a[team=seeker] at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={gameTime=59}] as @a[team=seeker] at @s run title @s times 0 60 0
execute if entity @e[name=Global,scores={gameTime=59}] as @a[team=seeker] at @s run title @s title {"text":"\u2714 Go!","bold":true,"color":"green"}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=stick_wand] run replaceitem entity @s hotbar.4 minecraft:purple_carpet{display:{Name:'{"text":"Broken Stick","color":"#381C01","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=emerald_wand] run replaceitem entity @s hotbar.4 minecraft:pink_carpet{display:{Name:'{"text":"Emerald Staff","color":"dark_green","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=toy_wand] run replaceitem entity @s hotbar.4 minecraft:yellow_carpet{display:{Name:'{"text":"Banana Blaster","color":"yellow","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=magic_wand] run replaceitem entity @s hotbar.4 minecraft:magenta_carpet{display:{Name:'{"text":"Magic Wand","color":"white","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker,tag=book_wand] run replaceitem entity @s hotbar.4 minecraft:orange_carpet{display:{Name:'{"text":"Book of Spells","color":"dark_gray","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @e[name=Global,scores={gameTime=58}] as @a[team=seeker] run replaceitem entity @s weapon.offhand minecraft:carrot_on_a_stick{display:{Name:'{"text":" ","color":"black","bold":true}'}}
execute if entity @e[name=Global,scores={gameTime=58}] run effect give @a[team=seeker] resistance 100000 255 true
execute if entity @e[name=Global,scores={gameTime=59..}] as @a[team=seeker] run function skyscapers:gamemodes/classic/seeker_loop
execute if entity @e[name=Global,scores={gameTime=2..}] run scoreboard players set @e[name=Global] seekerCheck 0
execute if entity @e[name=Global,scores={gameTime=2..}] as @a[team=seeker] run scoreboard players add @e[name=Global] seekerCheck 1
execute if entity @e[name=Global,scores={gameTime=2..,seekerCheck=0}] run function skyscapers:seeker_left

#powerups
execute if entity @e[name=Global,scores={gameTime=59..}] run function skyscapers:gamemodes/classic/powerup_loop

#end game
execute if entity @e[name=Global,scores={gameTime=41..,scaperCheck=0}] run scoreboard players add @e[name=Global] delay 1
execute if entity @e[name=Global,scores={gameTime=41..,scaperCheck=0,delay=20}] run scoreboard players set @e[name=Global] gameState 5